diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/default-widgets.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/default-widgets.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/default-widgets.php	2012-12-04 08:49:44.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/default-widgets.php	2013-06-23 03:20:08.000000000 -0500
***************
*** 315,324 ****
  			<li><?php wp_loginout(); ?></li>
  			<li><a href="<?php bloginfo('rss2_url'); ?>" title="<?php echo esc_attr(__('Syndicate this site using RSS 2.0')); ?>"><?php _e('Entries <abbr title="Really Simple Syndication">RSS</abbr>'); ?></a></li>
  			<li><a href="<?php bloginfo('comments_rss2_url'); ?>" title="<?php echo esc_attr(__('The latest comments to all posts in RSS')); ?>"><?php _e('Comments <abbr title="Really Simple Syndication">RSS</abbr>'); ?></a></li>
! 			<li><a href="<?php esc_attr_e( 'http://wordpress.org/' ); ?>" title="<?php echo esc_attr(__('Powered by WordPress, state-of-the-art semantic personal publishing platform.')); ?>"><?php
! 			/* translators: meta widget link text */
! 			_e( 'WordPress.org' );
! 			?></a></li>
  			<?php wp_meta(); ?>
  			</ul>
  <?php
--- 315,325 ----
  			<li><?php wp_loginout(); ?></li>
  			<li><a href="<?php bloginfo('rss2_url'); ?>" title="<?php echo esc_attr(__('Syndicate this site using RSS 2.0')); ?>"><?php _e('Entries <abbr title="Really Simple Syndication">RSS</abbr>'); ?></a></li>
  			<li><a href="<?php bloginfo('comments_rss2_url'); ?>" title="<?php echo esc_attr(__('The latest comments to all posts in RSS')); ?>"><?php _e('Comments <abbr title="Really Simple Syndication">RSS</abbr>'); ?></a></li>
! 			<?php echo apply_filters( 'widget_meta_poweredby', sprintf( '<li><a href="%s" title="%s">%s</a></li>',
! 				esc_url( __( 'http://wordpress.org/' ) ),
! 				esc_attr__( 'Powered by WordPress, state-of-the-art semantic personal publishing platform.' ),
! 				_x( 'WordPress.org', 'meta widget link text' )
! 			) ); ?>
  			<?php wp_meta(); ?>
  			</ul>
  <?php
***************
*** 558,565 ****
  		ob_start();
  		extract($args);
  
! 		$title = apply_filters('widget_title', empty($instance['title']) ? __('Recent Posts') : $instance['title'], $instance, $this->id_base);
! 		if ( empty( $instance['number'] ) || ! $number = absint( $instance['number'] ) )
   			$number = 10;
  		$show_date = isset( $instance['show_date'] ) ? $instance['show_date'] : false;
  
--- 559,568 ----
  		ob_start();
  		extract($args);
  
! 		$title = ( ! empty( $instance['title'] ) ) ? $instance['title'] : __( 'Recent Posts' );
! 		$title = apply_filters( 'widget_title', $title, $instance, $this->id_base );
! 		$number = ( ! empty( $instance['number'] ) ) ? absint( $instance['number'] ) : 10;
! 		if ( ! $number )
   			$number = 10;
  		$show_date = isset( $instance['show_date'] ) ? $instance['show_date'] : false;
  
***************
*** 593,599 ****
  		$instance = $old_instance;
  		$instance['title'] = strip_tags($new_instance['title']);
  		$instance['number'] = (int) $new_instance['number'];
! 		$instance['show_date'] = (bool) $new_instance['show_date'];
  		$this->flush_widget_cache();
  
  		$alloptions = wp_cache_get( 'alloptions', 'options' );
--- 596,602 ----
  		$instance = $old_instance;
  		$instance['title'] = strip_tags($new_instance['title']);
  		$instance['number'] = (int) $new_instance['number'];
! 		$instance['show_date'] = isset( $new_instance['show_date'] ) ? (bool) $new_instance['show_date'] : false;
  		$this->flush_widget_cache();
  
  		$alloptions = wp_cache_get( 'alloptions', 'options' );
***************
*** 674,682 ****
  
   		extract($args, EXTR_SKIP);
   		$output = '';
- 		$title = apply_filters( 'widget_title', empty( $instance['title'] ) ? __( 'Recent Comments' ) : $instance['title'], $instance, $this->id_base );
  
! 		if ( empty( $instance['number'] ) || ! $number = absint( $instance['number'] ) )
   			$number = 5;
  
  		$comments = get_comments( apply_filters( 'widget_comments_args', array( 'number' => $number, 'status' => 'approve', 'post_status' => 'publish' ) ) );
--- 677,687 ----
  
   		extract($args, EXTR_SKIP);
   		$output = '';
  
! 		$title = ( ! empty( $instance['title'] ) ) ? $instance['title'] : __( 'Recent Comments' );
! 		$title = apply_filters( 'widget_title', $title, $instance, $this->id_base );
! 		$number = ( ! empty( $instance['number'] ) ) ? absint( $instance['number'] ) : 5;
! 		if ( ! $number )
   			$number = 5;
  
  		$comments = get_comments( apply_filters( 'widget_comments_args', array( 'number' => $number, 'status' => 'approve', 'post_status' => 'publish' ) ) );
***************
*** 716,729 ****
  	}
  
  	function form( $instance ) {
! 		$title = isset($instance['title']) ? esc_attr($instance['title']) : '';
! 		$number = isset($instance['number']) ? absint($instance['number']) : 5;
  ?>
! 		<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?></label>
! 		<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></p>
  
! 		<p><label for="<?php echo $this->get_field_id('number'); ?>"><?php _e('Number of comments to show:'); ?></label>
! 		<input id="<?php echo $this->get_field_id('number'); ?>" name="<?php echo $this->get_field_name('number'); ?>" type="text" value="<?php echo $number; ?>" size="3" /></p>
  <?php
  	}
  }
--- 721,734 ----
  	}
  
  	function form( $instance ) {
! 		$title  = isset( $instance['title'] ) ? esc_attr( $instance['title'] ) : '';
! 		$number = isset( $instance['number'] ) ? absint( $instance['number'] ) : 5;
  ?>
! 		<p><label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label>
! 		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo $title; ?>" /></p>
  
! 		<p><label for="<?php echo $this->get_field_id( 'number' ); ?>"><?php _e( 'Number of comments to show:' ); ?></label>
! 		<input id="<?php echo $this->get_field_id( 'number' ); ?>" name="<?php echo $this->get_field_name( 'number' ); ?>" type="text" value="<?php echo $number; ?>" size="3" /></p>
  <?php
  	}
  }
***************
*** 861,878 ****
  			$title = __('Untitled');
  
  		$desc = str_replace( array("\n", "\r"), ' ', esc_attr( strip_tags( @html_entity_decode( $item->get_description(), ENT_QUOTES, get_option('blog_charset') ) ) ) );
! 		$desc = wp_html_excerpt( $desc, 360 );
  
  		// Append ellipsis. Change existing [...] to [&hellip;].
! 		if ( '[...]' == substr( $desc, -5 ) )
! 			$desc = substr( $desc, 0, -5 ) . '[&hellip;]';
! 		elseif ( '[&hellip;]' != substr( $desc, -10 ) )
! 			$desc .= ' [&hellip;]';
  
! 		$desc = esc_html( $desc );
  
  		if ( $show_summary ) {
! 			$summary = "<div class='rssSummary'>$desc</div>";
  		} else {
  			$summary = '';
  		}
--- 866,883 ----
  			$title = __('Untitled');
  
  		$desc = str_replace( array("\n", "\r"), ' ', esc_attr( strip_tags( @html_entity_decode( $item->get_description(), ENT_QUOTES, get_option('blog_charset') ) ) ) );
! 		$excerpt = wp_html_excerpt( $desc, 360 );
  
  		// Append ellipsis. Change existing [...] to [&hellip;].
! 		if ( '[...]' == substr( $excerpt, -5 ) )
! 			$excerpt = substr( $excerpt, 0, -5 ) . '[&hellip;]';
! 		elseif ( '[&hellip;]' != substr( $excerpt, -10 ) && $desc != $excerpt )
! 			$excerpt .= ' [&hellip;]';
  
! 		$excerpt = esc_html( $excerpt );
  
  		if ( $show_summary ) {
! 			$summary = "<div class='rssSummary'>$excerpt</div>";
  		} else {
  			$summary = '';
  		}
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/deprecated.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/deprecated.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/deprecated.php	2013-06-19 03:00:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/deprecated.php	2013-06-19 02:58:28.000000000 -0500
***************
*** 394,400 ****
   * @param string $cat_name Optional. The category name to use. If no match is found uses all.
   * @param string $before Optional. The html to output before the link.
   * @param string $after Optional. The html to output after the link.
!  * @param string $between Optional. The html to output between the link/image and it's description. Not used if no image or $show_images is true.
   * @param bool $show_images Optional. Whether to show images (if defined).
   * @param string $orderby Optional. The order to output the links. E.g. 'id', 'name', 'url', 'description' or 'rating'. Or maybe owner.
   *		If you start the name with an underscore the order will be reversed. You can also specify 'rand' as the order which will return links in a
--- 394,400 ----
   * @param string $cat_name Optional. The category name to use. If no match is found uses all.
   * @param string $before Optional. The html to output before the link.
   * @param string $after Optional. The html to output after the link.
!  * @param string $between Optional. The html to output between the link/image and its description. Not used if no image or $show_images is true.
   * @param bool $show_images Optional. Whether to show images (if defined).
   * @param string $orderby Optional. The order to output the links. E.g. 'id', 'name', 'url', 'description' or 'rating'. Or maybe owner.
   *		If you start the name with an underscore the order will be reversed. You can also specify 'rand' as the order which will return links in a
***************
*** 547,553 ****
   * @param string $cat_name The category name to use. If no match is found uses all
   * @param string $before The html to output before the link
   * @param string $after The html to output after the link
!  * @param string $between The html to output between the link/image and it's description. Not used if no image or show_images is true
   * @param bool $show_images Whether to show images (if defined).
   * @param string $orderby the order to output the links. E.g. 'id', 'name', 'url',
   *		'description', or 'rating'. Or maybe owner. If you start the name with an
--- 547,553 ----
   * @param string $cat_name The category name to use. If no match is found uses all
   * @param string $before The html to output before the link
   * @param string $after The html to output after the link
!  * @param string $between The html to output between the link/image and its description. Not used if no image or show_images is true
   * @param bool $show_images Whether to show images (if defined).
   * @param string $orderby the order to output the links. E.g. 'id', 'name', 'url',
   *		'description', or 'rating'. Or maybe owner. If you start the name with an
***************
*** 575,581 ****
   * @param int $category The category to use. If no category supplied uses all
   * @param string $before The html to output before the link
   * @param string $after The html to output after the link
!  * @param string $between The html to output between the link/image and it's description. Not used if no image or show_images == true
   * @param bool $show_images Whether to show images (if defined).
   * @param string $orderby The order to output the links. E.g. 'id', 'name', 'url',
   *		'description', or 'rating'. Or maybe owner. If you start the name with an
--- 575,581 ----
   * @param int $category The category to use. If no category supplied uses all
   * @param string $before The html to output before the link
   * @param string $after The html to output after the link
!  * @param string $between The html to output between the link/image and its description. Not used if no image or show_images == true
   * @param bool $show_images Whether to show images (if defined).
   * @param string $orderby The order to output the links. E.g. 'id', 'name', 'url',
   *		'description', or 'rating'. Or maybe owner. If you start the name with an
***************
*** 794,805 ****
   * @deprecated Use get_author_posts_url()
   * @see get_author_posts_url()
   *
!  * @param bool $echo Optional.
!  * @param int $author_id Required.
   * @param string $author_nicename Optional.
   * @return string|null
   */
! function get_author_link($echo = false, $author_id, $author_nicename = '') {
  	_deprecated_function( __FUNCTION__, '2.1', 'get_author_posts_url()' );
  
  	$link = get_author_posts_url($author_id, $author_nicename);
--- 794,805 ----
   * @deprecated Use get_author_posts_url()
   * @see get_author_posts_url()
   *
!  * @param bool $echo
!  * @param int $author_id
   * @param string $author_nicename Optional.
   * @return string|null
   */
! function get_author_link($echo, $author_id, $author_nicename = '') {
  	_deprecated_function( __FUNCTION__, '2.1', 'get_author_posts_url()' );
  
  	$link = get_author_posts_url($author_id, $author_nicename);
***************
*** 1087,1104 ****
   */
  function links_popup_script($text = 'Links', $width=400, $height=400, $file='links.all.php', $count = true) {
  	_deprecated_function( __FUNCTION__, '2.1' );
- 
- 	if ( $count )
- 		$counts = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->links");
- 
- 	$javascript = "<a href=\"#\" onclick=\"javascript:window.open('$file?popup=1', '_blank', 'width=$width,height=$height,scrollbars=yes,status=no'); return false\">";
- 	$javascript .= $text;
- 
- 	if ( $count )
- 		$javascript .= " ($counts)";
- 
- 	$javascript .= "</a>\n\n";
- 		echo $javascript;
  }
  
  /**
--- 1087,1092 ----
***************
*** 1691,1698 ****
   * @subpackage Feed
   * @since 0.71
   * @uses apply_filters() Calls 'the_content_rss' on the content before processing.
-  * @see get_the_content() For the $more_link_text, $stripteaser, and $more_file
-  *		parameters.
   *
   * @deprecated 2.9.0
   * @deprecated Use the_content_feed()
--- 1679,1684 ----
***************
*** 1706,1712 ****
   */
  function the_content_rss($more_link_text='(more...)', $stripteaser=0, $more_file='', $cut = 0, $encode_html = 0) {
  	_deprecated_function( __FUNCTION__, '2.9', 'the_content_feed' );
! 	$content = get_the_content($more_link_text, $stripteaser, $more_file);
  	$content = apply_filters('the_content_rss', $content);
  	if ( $cut && !$encode_html )
  		$encode_html = 2;
--- 1692,1698 ----
   */
  function the_content_rss($more_link_text='(more...)', $stripteaser=0, $more_file='', $cut = 0, $encode_html = 0) {
  	_deprecated_function( __FUNCTION__, '2.9', 'the_content_feed' );
! 	$content = get_the_content($more_link_text, $stripteaser);
  	$content = apply_filters('the_content_rss', $content);
  	if ( $cut && !$encode_html )
  		$encode_html = 2;
***************
*** 3335,3341 ****
   *
   * @since 2.9.0
   * @deprecated 3.5.0
!  * see wp_image_editor_supports()
   *
   * @param string $mime_type
   * @return bool
--- 3321,3327 ----
   *
   * @since 2.9.0
   * @deprecated 3.5.0
!  * @see wp_image_editor_supports()
   *
   * @param string $mime_type
   * @return bool
***************
*** 3364,3366 ****
--- 3350,3380 ----
  	}
  	return false;
  }
+ 
+ /**
+  * Converts an integer byte value to a shorthand byte value.
+  *
+  * @since 2.3.0
+  * @deprecated 3.6.0
+  * @deprecated Use size_format()
+  *
+  * @param int $bytes An integer byte value.
+  * @return string A shorthand byte value.
+  */
+ function wp_convert_bytes_to_hr( $bytes ) {
+ 	_deprecated_function( __FUNCTION__, '3.6', 'size_format()' );
+ 
+ 	$units = array( 0 => 'B', 1 => 'kB', 2 => 'MB', 3 => 'GB', 4 => 'TB' );
+ 	$log   = log( $bytes, 1024 );
+ 	$power = (int) $log;
+ 	$size  = pow( 1024, $log - $power );
+ 
+ 	if ( ! is_nan( $size ) && array_key_exists( $power, $units ) ) {
+ 		$unit = $units[ $power ];
+ 	} else {
+ 		$size = $bytes;
+ 		$unit = $units[0];
+ 	}
+ 
+ 	return $size . $unit;
+ }
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/feed-atom-comments.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/feed-atom-comments.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/feed-atom-comments.php	2012-11-07 13:56:10.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/feed-atom-comments.php	2012-12-20 09:55:32.000000000 -0600
***************
*** 75,81 ****
  		<thr:in-reply-to ref="<?php the_guid(); ?>" href="<?php the_permalink_rss() ?>" type="<?php bloginfo_rss('html_type'); ?>" />
  <?php else : // This comment is in reply to another comment
  	$parent_comment = get_comment($comment->comment_parent);
! 	// The rel attribute below and the id tag above should be GUIDs, but WP doesn't create them for comments (unlike posts). Either way, its more important that they both use the same system
  ?>
  		<thr:in-reply-to ref="<?php comment_guid($parent_comment) ?>" href="<?php echo get_comment_link($parent_comment) ?>" type="<?php bloginfo_rss('html_type'); ?>" />
  <?php endif;
--- 75,81 ----
  		<thr:in-reply-to ref="<?php the_guid(); ?>" href="<?php the_permalink_rss() ?>" type="<?php bloginfo_rss('html_type'); ?>" />
  <?php else : // This comment is in reply to another comment
  	$parent_comment = get_comment($comment->comment_parent);
! 	// The rel attribute below and the id tag above should be GUIDs, but WP doesn't create them for comments (unlike posts). Either way, it's more important that they both use the same system
  ?>
  		<thr:in-reply-to ref="<?php comment_guid($parent_comment) ?>" href="<?php echo get_comment_link($parent_comment) ?>" type="<?php bloginfo_rss('html_type'); ?>" />
  <?php endif;
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/feed.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/feed.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/feed.php	2012-11-22 01:23:43.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/feed.php	2013-05-09 20:39:30.000000000 -0500
***************
*** 198,204 ****
   * @return none
   */
  function comments_link_feed() {
! 	echo esc_url( get_comments_link() );
  }
  
  /**
--- 198,204 ----
   * @return none
   */
  function comments_link_feed() {
! 	echo esc_url( apply_filters( 'comments_link_feed', get_comments_link() ) );
  }
  
  /**
***************
*** 239,245 ****
   * @since 1.5.0
   */
  function comment_link() {
! 	echo esc_url( get_comment_link() );
  }
  
  /**
--- 239,245 ----
   * @since 1.5.0
   */
  function comment_link() {
! 	echo esc_url( apply_filters( 'comment_link', get_comment_link() ) );
  }
  
  /**
***************
*** 391,397 ****
  			foreach ( (array) $val as $enc ) {
  				$enclosure = explode("\n", $enc);
  
! 				//only get the the first element eg, audio/mpeg from 'audio/mpeg mpga mp2 mp3'
  				$t = preg_split('/[ \t]/', trim($enclosure[2]) );
  				$type = $t[0];
  
--- 391,397 ----
  			foreach ( (array) $val as $enc ) {
  				$enclosure = explode("\n", $enc);
  
! 				// only get the first element, e.g. audio/mpeg from 'audio/mpeg mpga mp2 mp3'
  				$t = preg_split('/[ \t]/', trim($enclosure[2]) );
  				$type = $t[0];
  
***************
*** 488,494 ****
   */
  function self_link() {
  	$host = @parse_url(home_url());
! 	echo esc_url( set_url_scheme( 'http://' . $host['host'] . stripslashes($_SERVER['REQUEST_URI']) ) );
  }
  
  /**
--- 488,494 ----
   */
  function self_link() {
  	$host = @parse_url(home_url());
! 	echo esc_url( apply_filters( 'self_link', set_url_scheme( 'http://' . $host['host'] . wp_unslash( $_SERVER['REQUEST_URI'] ) ) ) );
  }
  
  /**
***************
*** 520,530 ****
   *
   * @since 2.8
   *
!  * @param string $url URL to retrieve feed
   * @return WP_Error|SimplePie WP_Error object on failure or SimplePie object on success
   */
! function fetch_feed($url) {
! 	require_once (ABSPATH . WPINC . '/class-feed.php');
  
  	$feed = new SimplePie();
  
--- 520,533 ----
   *
   * @since 2.8
   *
!  * @param mixed $url URL of feed to retrieve. If an array of URLs, the feeds are merged
!  * using SimplePie's multifeed feature.
!  * See also {@link ​http://simplepie.org/wiki/faq/typical_multifeed_gotchas}
!  *
   * @return WP_Error|SimplePie WP_Error object on failure or SimplePie object on success
   */
! function fetch_feed( $url ) {
! 	require_once ( ABSPATH . WPINC . '/class-feed.php' );
  
  	$feed = new SimplePie();
  
***************
*** 536,549 ****
  	$feed->set_cache_class( 'WP_Feed_Cache' );
  	$feed->set_file_class( 'WP_SimplePie_File' );
  
! 	$feed->set_feed_url($url);
  	$feed->set_cache_duration( apply_filters( 'wp_feed_cache_transient_lifetime', 12 * HOUR_IN_SECONDS, $url ) );
  	do_action_ref_array( 'wp_feed_options', array( &$feed, $url ) );
  	$feed->init();
  	$feed->handle_content_type();
  
  	if ( $feed->error() )
! 		return new WP_Error('simplepie-error', $feed->error());
  
  	return $feed;
  }
--- 539,552 ----
  	$feed->set_cache_class( 'WP_Feed_Cache' );
  	$feed->set_file_class( 'WP_SimplePie_File' );
  
! 	$feed->set_feed_url( $url );
  	$feed->set_cache_duration( apply_filters( 'wp_feed_cache_transient_lifetime', 12 * HOUR_IN_SECONDS, $url ) );
  	do_action_ref_array( 'wp_feed_options', array( &$feed, $url ) );
  	$feed->init();
  	$feed->handle_content_type();
  
  	if ( $feed->error() )
! 		return new WP_Error( 'simplepie-error', $feed->error() );
  
  	return $feed;
  }
